package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.MemberLogDao;
import io.renren.modules.admin.entity.MemberLogEntity;
import io.renren.modules.admin.service.MemberLogService;


@Service("memberLogService")
public class MemberLogServiceImpl extends ServiceImpl<MemberLogDao, MemberLogEntity> implements MemberLogService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<MemberLogEntity> page = this.page(
                new Query<MemberLogEntity>().getPage(params),
                new QueryWrapper<MemberLogEntity>()
        );

        return new PageUtils(page);
    }

}